Bug 10113 - floppy.c detects disk changes constantly
floppy.c detects disk changes constantly
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-10 10:33 EST by Nishanth Thomas
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-06 11:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nishanth Thomas 2000-03-10 10:33:36 EST
HP says that a high percentage of their hardware manifests this bug.

They get a constant stream of errors from autofs about floppy disk failures
(sorry, no specifics...more info coming on the exact error).  They've
looked into it and tracked it down to a constant string of disk change
detections coming from floppy.c

There are two possibilities; the hardware is telling floppy.c that a disk
change has occurred or there is a bug in floppy.c so that it returns a
false positive on this check.  The overwhelming evidence of our install
base points towards the former and not the latter, but HP has looked at the
code and disagrees.

So, if we could look into this code and see if there are any obvious
problems that would be helpful.  If we don't see anything, then we can test
on HP hardware and see what we get.

The final possibility is that HP has tracked this to the wrong place; if
so, we should test on their hardware and trace the errors ourselves.

I've glanced at their config, btw, and they look fine.  Contact
nthomas@redhat.com if you need more info.
Comment 1 Erik Troan 2000-09-06 02:47:29 EDT
Nathan, is this bug still an issue?
Comment 2 Mike Vaillancourt 2000-09-06 11:07:58 EDT
This is probably not an issue, at least with reguards to why it was opened. This
turned out to be a SNMP issue. This is alans response:

"Its correct behaviour. They are querying the floppy drive and other devices by
snmp and it is trying to see if there is a disk in and getting errors back from
the drive as it is empty"

HP agrees with this and has closed the issue.

Note You need to log in before you can comment on or make changes to this bug.